description

# Datagram class Null safety

A data packet which is received by a RawDatagramSocket.

## Constructors

Datagram(Uint8List data, InternetAddress address, int port)

## Properties

address ↔ InternetAddress
  The address of the socket which sends the data.
  read / write
data ↔ Uint8List
  The actual bytes of the message.
  read / write
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
port ↔ int
  The port of the socket which sends the data.
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited